io.netty.handler.codec.mqtt

## Enum MqttQoS

- java.lang.Object
- - java.lang.Enum<MqttQoS>
  - - io.netty.handler.codec.mqtt.MqttQoS

All Implemented Interfaces:
  Serializable, Comparable<MqttQoS>

    public enum MqttQoS
    extends Enum<MqttQoS>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AT_LEAST_ONCE`
`AT_MOST_ONCE`
`EXACTLY_ONCE`
`FAILURE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `value()`
`static MqttQoS` `valueOf(int value)`
`static MqttQoS` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttQoS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AT_MOST_ONCE

    public static final MqttQoS AT_MOST_ONCE

#### AT_LEAST_ONCE

    public static final MqttQoS AT_LEAST_ONCE

#### EXACTLY_ONCE

    public static final MqttQoS EXACTLY_ONCE

#### FAILURE

    public static final MqttQoS FAILURE

### Method Detail

#### values

    public static MqttQoS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttQoS c : MqttQoS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttQoS valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public int value()

#### valueOf

    public static MqttQoS valueOf(int value)